package com.template.services;

import com.template.model.pojo.SmartMeter;
import com.template.model.pojo.SmartMeter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartMeterService extends IService<SmartMeter> {
    int insertSmartMeter(SmartMeter rns);

    int updateSmartMeter(SmartMeter rns);

    PageUtils<SmartMeter> queryPageSmartMeters(int currentPage, int pageCount, String name);

    int deleteSmartMeterById(int id);

    SmartMeter getSmartById(int id);
}
